<!--
  ~ SSD - Sistema per il dimensionamento scolastico
  ~ Copyright (c) 2020 ARTI - Agenzia Regionale per la Tecnologia e l'Innovazione della Regione Puglia.
  ~
  ~ This program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License along with this program. If not, see https://www.gnu.org/licenses/agpl-3.0.txt.
  -->

<div class="card">
    <div class="card-body">
        <div class="d-flex">
            <div>
                <h3 class="card-title"><span class="lstick"></span> {{ title }}<span
                        *ngIf="annoScolastico">- {{annoScolastico.label}}</span> e anni precedenti
                    <button class="btn btn-outline-info ml-2" (click)="exportCsv()"> Export CSV</button>
                </h3>
            </div>
        </div>


        <div class="row">
            <div *ngIf="province" class="col-xl-2 col-lg-2 col-md-2 col-sm-12 col-xs-12">
                <label for="provincia"> Filtra per provincia
                    <select class="form-control " name="provincia" id="provincia"
                            [(ngModel)]="provinciaSelected" (change)="filter()">
                        <option value="Tutti">Tutti</option>

                        <option [value]="provincia.label "
                                *ngFor="let provincia of province ">{{provincia.label}}</option>
                    </select>
                </label>
                <p><span class="font-weight-bold">Filtro selezionato: {{provinciaSelected}}</span></p>
            </div>


            <div *ngIf="comuni && provinciaSelected !='Tutti'"
                 class="col-xl-2 col-lg-2 col-md-2 col-sm-12 col-xs-12">
                <label for="comuni"> Seleziona comune
                    <select class="form-control " name="comuni " id="comuni" [(ngModel)]="comuneSelected"
                            (change)="filter()">
                        <option value="Tutti">Tutti</option>

                        <option [value]="comune.nome " *ngFor="let comune of comuni ">{{comune.nome}}</option>
                    </select>
                </label>
                <p><span class="font-weight-bold">Filtro per comune: {{comuneSelected}}</span></p>
            </div>
        </div>

        <div class="row">
            <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12 ">
                <ngx-datatable #table
                               class='table material'
                               style="height: 500px"
                               [rows]="rows"
                               [reorderable]="true"
                               [headerHeight]="50"
                               [footerHeight]="50"
                               [rowHeight]="50"
                               [limit]="20"
                               [scrollbarV]="true"
                               [scrollbarH]="true"

                >
                    <ngx-datatable-column *ngFor="let col of columns "
                                          [prop]="col.prop " [name]="col.name"
                                          [pipe]="ndPipe">
                    </ngx-datatable-column>
                </ngx-datatable>

            </div>
        </div>
    </div>
</div>

